Description

Al exportar a SHP una capa obtenida de una unión de tablas salta error en la ventana de selección de CRS.

Pasos seguidos: 
- Cargar la capa shp adjunta en una vista en 25830. 
- Cargar la tabla csv por separado en el proyecto. 
- Unión de tablas: 
  Tabla 1: la de puntos csv
  Tabla 2: la del shp 
  Campos: 'Punto' y 'fid'  
  Campo a unir: "GEOMETRY" 
  Añadir la capa en la vista anterior
- Poner activa la capa "Unión" y Exportar a SHP

En la ventana donde seleccionamos el CRS, dejando el de la Vista, salta error.

Adjunto la capa, la tabla utilizadas, y el log.

Associated revisions
Revision 46875 - 12/09/2022 01:00 PM - Francisco Díaz Carsí

refs #5296, Fix JoinTransform and expor to SHP results

Revision 3775 - 12/09/2022 01:02 PM - Francisco Díaz Carsí

refs #5296, Fix JoinTransform and expor to SHP results

History
#1 - 06/07/2020 04:35 PM - Álvaro Anguix
- Target version deleted (2.5.1-3044)

Ocurre por usar un campo "GEOMETRY". Lo veo como poco usual como para que sea prioritario sacarlo en la 2.5.1.
#2 - 06/08/2020 12:10 PM - Mario Carrera

Es bastante usual en ayuntamientos, cuando tienen tablas sin geometría (por ejemplo con referencias catastrales), y quieren obtener su geometría.
Si se hace una unión de tablas al revés (primero la del shp y unirle la de la tabla independiente) se pueden quedar datos de la tabla sin geometría,
por lo que la única forma es unirle el campo Geometry de la tabla del shp a la tabla independiente.

#3 - 06/08/2020 03:17 PM - Álvaro Anguix
- Target version set to 2.5.1-3044
- Priority changed from Normal to Low

La añado con prioridad baja por si da tiempo a mirarla

#4 - 06/08/2020 03:20 PM - Álvaro Anguix

Con el importador de campos sí parece que funciona e importante el campo GEOMETRY

#5 - 09/29/2020 11:48 AM - Álvaro Anguix
- Target version changed from 2.5.1-3044 to 2.6.1-final

#6 - 01/19/2023 07:48 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Habia un problema en la union de tablas cuando nos traiamos una geometria de una tabla (por ehemplo unir a un csv un shp y traerse la geometria)
que hacia que no se trajese el envelop y el crs de estas. Esto provocaba que fallase a la hora de exportar el resultado de la union. Tras corregir el
problema del envelope y el crs ya exporta correctamente el resultado.

#7 - 08/03/2023 02:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed
